:host {
    height: 100%;
    min-height: 100%;
    position: relative;
}


.login-form-wrapper {
    width: 360px;
    min-width: 360px;
    max-width: 700px;
    background: #fff;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    box-shadow: 0 8px 10px -5px rgba(0,0,0,.2), 0 16px 24px 2px rgba(0,0,0,.14), 0 6px 30px 5px rgba(0,0,0,.12);

    .login-form {
        padding: 48px 48px 48px;
    }
}

.logo {
    width: 100px;
    height: 100px;
    line-height: 128px;
    font-size: 86px;
    font-weight: 500;
    text-align: center;
    margin: 16px auto;
    color: #fff;
    border-radius: 2px;
    background: #fff;
}

.title {
    font-size: 21px;
}

form {
    width: 100%;
    padding-top: 32px;

    mat-form-field {
        width: 100%;
    }

    button {
        width: 100%;
        margin: 16px auto;
        display: block;
    }
}

.redirection {
    flex-direction: column;
    box-sizing: border-box;
    display: flex;
    max-width: 100%;
    place-content: center;
    align-items: center;

    margin: 32px auto 24px;
    width: 250px;
}

.loading {
    margin: 16px auto;
}


@media screen and (max-width: 959px) and (min-width: 600px) {   
    .login-form-wrapper {
        width: 360px;
        min-width: 360px;
        max-width: 360px;
    }
}

@media screen and (max-width: 599px) {
    form {
        mat-form-field {
            width: 80%;
        }

        button {
            width: 80%;
        }
    }

    .login-form-wrapper {
        width: 100%;
        min-width: 100%;
        max-width: 100%;

        .login-form {
            text-align: center;
            padding: 24px;
        }
    }
}
